Bug 1032338 - guest can not reboot after block mirror from big cluster size to small cluster size image(using libiscsi as storage)
guest can not reboot after block mirror from big cluster size to small cluste...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 21:00 EST by Jun Li
Modified: 2014-02-24 05:44 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-24 05:44:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jun Li 2013-11-19 21:00:44 EST
Description of problem:
Using libiscsi as storage, guest can not reboot/shutdown/poweroff after block mirror from big cluster size to small cluster size image.

Version-Release number of selected component (if applicable):
libiscsi-1.9.0-3.el7.x86_64
qemu-kvm-rhev-1.5.3-19.el7.x86_64
Guest kernel:
2.6.32-430.el6.i686
Host kernel:
3.10.0-48.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with following cli(guest cluster size is 524288).
# /usr/libexec/qemu-kvm -S -M pc-i440fx-rhel7.0.0 -cpu SandyBridge -enable-kvm -m 4G -smp 4,sockets=2,cores=2,threads=1 -name juli -uuid 355a2475-4e03-4cdd-bf7b-5d6a59edaa68 -rtc base=localtime,clock=host,driftfix=slew \
-device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0 -drive file=iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/1,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native \
-device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=juli,bootindex=0 \
-drive file=iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/3,if=none,id=drive-virtio0-0-0,media=disk,werror=stop,rerror=stop,cache=none,format=qcow2 -device virtio-blk-pci,bus=pci.0,drive=drive-virtio0-0-0,id=virtio0-0-0 \
-drive file=/home/ISO/en_windows_8.1_preview_x86_dvd_2358833.iso,if=none,media=cdrom,format=raw,aio=native,id=drive-ide1-0-0 -device ide-drive,drive=drive-ide1-0-0,id=ide1-0-0,bus=ide.0,unit=0,bootindex=4 -device virtio-balloon-pci,id=ballooning -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -net none -k en-us -boot menu=on,reboot-timeout=-1,strict=on -qmp tcp:0:4477,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :3 -spice port=5939,disable-ticketing  -vga qxl -global qxl-vga.revision=3 -monitor stdio -monitor tcp:0:7777,server,nowait -monitor unix:/tmp/monitor1,server,nowait -netdev tap,id=tap1,vhost=on,queues=4,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown,ifname=tap-juli -device virtio-net-pci,netdev=tap1,id=nic1,mq=on,vectors=17,mac=1a:59:0a:4b:aa:94
2.create a new qcow2 libiscsi disk image with the same virtual size and default cluster size(65536).
# qemu-img create -f qcow2 -o compat=1.1 iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/1 30G -o cluster_size=65536
# qemu-img info iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/4
image: iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/4
file format: qcow2
virtual size: 30G (32212254720 bytes)
disk size: unavailable
cluster_size: 524288
Format specific information:
    compat: 0.10
# qemu-img info iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/1
image: iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/1
file format: qcow2
virtual size: 30G (32212254720 bytes)
disk size: unavailable
cluster_size: 65536
Format specific information:
    compat: 1.1
    lazy refcounts: false

Note: above two disks cluster_size are different. 

3.do mirroring via qmp.
{ "execute": "drive-mirror", "arguments": { "device": "drive-scsi0-0-0", "target": "iscsi://10.66.6.82:3260/iqn.2013-11.com.example:storage.disk1.juli.xyz/1", "format": "qcow2", "mode": "existing", "sync": "full", "speed": 1000000000, "on-source-error": "stop", "on-target-error": "stop" } }

4.mirroring should reach steady state correctly and reopen via qmp.
{ "execute" : "query-block-jobs", "arguments" : {} }
{"execute": "block-job-complete", "arguments": { "device": "drive-scsi0-0-0"} }

5.Do reboot/poweroff/shutdown inside guest.
# reboot

Actual results:
# reboot
/sbin/reboot: line 1: �0: command not found
/sbin/reboot: line 2: syntax error near unexpected token `<'
/sbin/reboot: line 2: `<U7332> <U7332>;IGNORE;IGNORE;IGNORE	#猲0'
# poweroff 
/sbin/poweroff: line 1: �0: command not found
/sbin/poweroff: line 2: syntax error near unexpected token `<'
/sbin/poweroff: line 2: `<U7332> <U7332>;IGNORE;IGNORE;IGNORE	#猲0'
# shutdown -h now
/sbin/shutdown: line 1: ORE: command not found
/sbin/shutdown: line 2: syntax error near unexpected token `<'
/sbin/shutdown: line 2: `<U90CA> <U90CA>;IGNORE;IGNORE;IGNORE	#郊1195'

# dmesg
Reserving 128MB of memory at 32MB for crashkernel (System RAM: 4608MB)
kvm-clock: Using msrs 4b564d01 and 4b564d00
kvm-clock: cpu 0, msr 0:b696c1, boot clock
Zone PFN ranges:
  DMA      0x00000001 -> 0x00001000
  Normal   0x00001000 -> 0x000375fe
  HighMem  0x000375fe -> 0x00120000
Movable zone start PFN for each node
early_node_map[3] active PFN ranges
    0: 0x00000001 -> 0x0000009f
    0: 0x00000100 -> 0x000dfffe
    0: 0x00100000 -> 0x00120000
On node 0 totalpages: 1048476
  DMA zone: 32 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 3966 pages, LIFO batch:0
  Normal zone: 1740 pages used for memmap
  Normal zone: 220978 pages, LIFO batch:31
  HighMem zone: 7445 pages used for memmap
  HighMem zone: 814315 pages, LIFO batch:31
Using APIC driver default
ACPI: PM-Timer IO Port: 0xb008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] enabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] enabled)
ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
ACPI: IOAPIC (id[0x00] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ5 used by override.
ACPI: IRQ9 used by override.
ACPI: IRQ10 used by override.
ACPI: IRQ11 used by override.
Using ACPI (MADT) for SMP configuration information
SMP: Allowing 4 CPUs, 0 hotplug CPUs
nr_irqs_gsi: 24
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
Allocating PCI resources starting at e0000000 (gap: e0000000:1effc000)
Booting paravirtualized kernel on KVM
NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:4 nr_node_ids:1
PERCPU: Embedded 14 pages/cpu @c1e00000 s36056 r0 d21288 u524288
pcpu-alloc: s36056 r0 d21288 u524288 alloc=1*2097152
pcpu-alloc: [0] 0 1 2 3 
kvm-clock: cpu 0, msr 0:1e086c1, primary cpu clock
kvm-stealtime: cpu 0, msr 1e03800
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 1039259
Kernel command line: ro root=/dev/mapper/vg_unused-lv_root rd_NO_LUKS  KEYBOARDTYPE=pc KEYTABLE=us LANG=en_US.UTF-8 rd_LVM_LV=vg_unused/lv_swap rd_NO_MD SYSFONT=latarcyrheb-sun16 crashkernel=128M rd_LVM_LV=vg_unused/lv_root rd_NO_DM rhgb quiet
PID hash table entries: 4096 (order: 2, 16384 bytes)
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
Initializing HighMem for node 0 (000375fe:00120000)
Memory: 4002996k/4718592k available (4504k kernel code, 189736k reserved, 2561k data, 524k init, 3287040k highmem)
virtual kernel memory layout:
    fixmap  : 0xffad5000 - 0xfffff000   (5288 kB)
    pkmap   : 0xff600000 - 0xff800000   (2048 kB)
    vmalloc : 0xf7dfe000 - 0xff5fe000   ( 120 MB)
    lowmem  : 0xc0000000 - 0xf75fe000   ( 885 MB)
      .init : 0xc0ae7000 - 0xc0b6a000   ( 524 kB)
      .data : 0xc0866238 - 0xc0ae6808   (2561 kB)
      .text : 0xc0400000 - 0xc0866238   (4504 kB)
Checking if this processor honours the WP bit even in supervisor mode...Ok.
Hierarchical RCU implementation.
NR_IRQS:2304 nr_irqs:440
Console: colour VGA+ 80x25
console [tty0] enabled
allocated 8388608 bytes of page_cgroup
please try 'cgroup_disable=memory' option if you don't want memory cgroups
Detected 2000.040 MHz processor.
Marking TSC unstable due to TSCs unsynchronized
Calibrating delay loop (skipped) preset value.. 4000.08 BogoMIPS (lpj=2000040)
pid_max: default: 32768 minimum: 301
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
Mount-cache hash table entries: 512
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys memory
Initializing cgroup subsys devices
Initializing cgroup subsys freezer
Initializing cgroup subsys net_cls
Initializing cgroup subsys blkio
Initializing cgroup subsys perf_event
Initializing cgroup subsys net_prio
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
mce: CPU supports 10 MCE banks
alternatives: switching to unfair spinlock
ACPI: Core revision 20090903
Enabling APIC mode:  Flat.  Using 1 I/O APICs
..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
CPU0: AMD Intel Xeon E312xx (Sandy Bridge) stepping 01
Performance Events: Broken PMU hardware detected, using software events only.
Booting Node   0, Processors  #1
Initializing CPU#1
kvm-clock: cpu 1, msr 0:1e886c1, secondary cpu clock
------------[ cut here ]------------
WARNING: at arch/x86/kernel/cpu/amd.c:187 init_amd+0x388/0x641() (Not tainted)
Hardware name: KVM
WARNING: This combination of AMD processors is not suitable for SMP.
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.32-430.el6.i686 #1
Call Trace:
 [<c045b0d1>] ? warn_slowpath_common+0x81/0xc0
 [<c085585d>] ? init_amd+0x388/0x641
 [<c085585d>] ? init_amd+0x388/0x641
 [<c045b1a3>] ? warn_slowpath_fmt+0x33/0x40
 [<c085585d>] ? init_amd+0x388/0x641
 [<c0854bda>] ? identify_cpu+0x28b/0x42d
 [<c042d65d>] ? default_init_apic_ldr+0x4d/0x50
 [<c08599a0>] ? setup_local_APIC+0x337/0x355
 [<c0854d8c>] ? identify_secondary_cpu+0x10/0x1a
 [<c0858e43>] ? start_secondary+0x138/0x2f4
---[ end trace a7919e7f17c0a725 ]---
Disabling lock debugging due to kernel taint
kvm-stealtime: cpu 1, msr 1e83800
 #2
Initializing CPU#2
kvm-clock: cpu 2, msr 0:1f086c1, secondary cpu clock
kvm-stealtime: cpu 2, msr 1f03800
 #3 Ok.
Initializing CPU#3
kvm-clock: cpu 3, msr 0:1f886c1, secondary cpu clock
Brought up 4 CPUs
Total of 4 processors activated (16000.32 BogoMIPS).
kvm-stealtime: cpu 3, msr 1f83800
sizeof(vma)=100 bytes
sizeof(page)=32 bytes
sizeof(inode)=352 bytes
sizeof(dentry)=132 bytes
sizeof(ext3inode)=508 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=184 bytes
sizeof(task_struct)=1348 bytes
devtmpfs: initialized
regulator: core version 0.5
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfc670, last bus=0
PCI: Using configuration type 1 for base access
bio: create slab <bio-0> at 0
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: No dock devices found.
PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
pci_root PNP0A03:00: host bridge window [io  0x0000-0x0cf7]
pci_root PNP0A03:00: host bridge window [io  0x0d00-0xffff]
pci_root PNP0A03:00: host bridge window [mem 0x000a0000-0x000bffff]
pci_root PNP0A03:00: host bridge window [mem 0xe0000000-0xfebfffff]
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7]
pci_bus 0000:00: root bus resource [io  0x0d00-0xffff]
pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff]
pci_bus 0000:00: root bus resource [mem 0xe0000000-0xfebfffff]
pci 0000:00:01.1: reg 20: [io  0xc100-0xc10f]
pci 0000:00:01.3: quirk: [io  0xb000-0xb03f] claimed by PIIX4 ACPI
pci 0000:00:01.3: quirk: [io  0xb100-0xb10f] claimed by PIIX4 SMB
pci 0000:00:02.0: reg 10: [mem 0xf4000000-0xf7ffffff]
pci 0000:00:02.0: reg 14: [mem 0xf8000000-0xfbffffff]
pci 0000:00:02.0: reg 18: [mem 0xfc030000-0xfc031fff]
pci 0000:00:02.0: reg 1c: [io  0xc0c0-0xc0df]
pci 0000:00:02.0: reg 30: [mem 0xfc020000-0xfc02ffff pref]
pci 0000:00:03.0: reg 10: [io  0xc000-0xc03f]
pci 0000:00:03.0: reg 14: [mem 0xfc032000-0xfc032fff]
pci 0000:00:04.0: reg 10: [io  0xc0e0-0xc0ff]
pci 0000:00:05.0: reg 10: [io  0xc040-0xc07f]
pci 0000:00:05.0: reg 14: [mem 0xfc033000-0xfc033fff]
pci 0000:00:06.0: reg 10: [io  0xc080-0xc0bf]
pci 0000:00:06.0: reg 14: [mem 0xfc034000-0xfc034fff]
pci 0000:00:06.0: reg 30: [mem 0xfc000000-0xfc01ffff pref]
pci_bus 0000:00: on NUMA node 0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [LNKS] (IRQs *9)
vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
vgaarb: loaded
vgaarb: bridge control possible 0000:00:02.0
SCSI subsystem initialized
libata version 3.00 loaded.
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: pci_cache_line_size set to 64 bytes
lo: Dropping TSO features since no CSUM feature.
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
Switching to clocksource kvm-clock
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp 00:00: [io  0x0cf8-0x0cff]
pnp 00:00: Plug and Play ACPI device, IDs PNP0a03 (active)
pnp 00:01: [io  0x0070-0x0071]
pnp 00:01: [irq 8]
pnp 00:01: [io  0x0072-0x0077]
pnp 00:01: Plug and Play ACPI device, IDs PNP0b00 (active)
pnp 00:02: [io  0x0060]
pnp 00:02: [io  0x0064]
pnp 00:02: [irq 1]
pnp 00:02: Plug and Play ACPI device, IDs PNP0303 (active)
pnp 00:03: [irq 12]
pnp 00:03: Plug and Play ACPI device, IDs PNP0f13 (active)
pnp 00:04: [io  0x03f2-0x03f5]
pnp 00:04: [io  0x03f7]
pnp 00:04: [irq 6]
pnp 00:04: [dma 2]
pnp 00:04: Plug and Play ACPI device, IDs PNP0700 (active)
pnp 00:05: [io  0x03f8-0x03ff]
pnp 00:05: [irq 4]
pnp 00:05: Plug and Play ACPI device, IDs PNP0501 (active)
pnp: PnP ACPI: found 6 devices
ACPI: ACPI bus type pnp unregistered
PCI: max bus depth: 0 pci_try_num: 1
pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7]
pci_bus 0000:00: resource 5 [io  0x0d00-0xffff]
pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff]
pci_bus 0000:00: resource 7 [mem 0xe0000000-0xfebfffff]
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
NET: Registered protocol family 1
pci 0000:00:00.0: Limiting direct PCI/PCI transfers
pci 0000:00:01.0: PIIX3: Enabling Passive Release
pci 0000:00:01.0: Activating ISA DMA hang workarounds
pci 0000:00:02.0: Boot video device
Trying to unpack rootfs image as initramfs...
Freeing initrd memory: 15837k freed
apm: BIOS not found.
audit: initializing netlink socket (disabled)
type=2000 audit(1384909800.619:1): initialized
highmem bounce pool size: 64 pages
HugeTLB registered 2 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.2
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
msgmni has been set to 1431
SELinux:  Registering netfilter hooks
alg: No test for stdrng (krng)
ksign: Installing public key data
Loading keyring
- Added public key 6D8C1D71AB3678E6
- User ID: Red Hat, Inc. (Kernel Module GPG key)
- Added public key D4A26C9CCD09BEDA
- User ID: Red Hat Enterprise Linux Driver Update Program <secalert@redhat.com>
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
pciehp: PCI Express Hot Plug Controller Driver version: 0.4
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
acpiphp: Slot [3] registered
acpiphp: Slot [4] registered
acpiphp: Slot [5] registered
acpiphp: Slot [6] registered
acpiphp: Slot [7] registered
acpiphp: Slot [8] registered
acpiphp: Slot [9] registered
acpiphp: Slot [10] registered
acpiphp: Slot [11] registered
acpiphp: Slot [12] registered
acpiphp: Slot [13] registered
acpiphp: Slot [14] registered
acpiphp: Slot [15] registered
acpiphp: Slot [16] registered
acpiphp: Slot [17] registered
acpiphp: Slot [18] registered
acpiphp: Slot [19] registered
acpiphp: Slot [20] registered
acpiphp: Slot [21] registered
acpiphp: Slot [22] registered
acpiphp: Slot [23] registered
acpiphp: Slot [24] registered
acpiphp: Slot [25] registered
acpiphp: Slot [26] registered
acpiphp: Slot [27] registered
acpiphp: Slot [28] registered
acpiphp: Slot [29] registered
acpiphp: Slot [30] registered
acpiphp: Slot [31] registered
ipmi message handler version 39.2
IPMI System Interface driver.
ipmi_si: Adding default-specified kcs state machine
ipmi_si: Trying default-specified kcs state machine at i/o address 0xca2, slave address 0x0, irq 0
ipmi_si: Interface detection failed
ipmi_si: Adding default-specified smic state machine
ipmi_si: Trying default-specified smic state machine at i/o address 0xca9, slave address 0x0, irq 0
ipmi_si: Interface detection failed
ipmi_si: Adding default-specified bt state machine
ipmi_si: Trying default-specified bt state machine at i/o address 0xe4, slave address 0x0, irq 0
ipmi_si: Interface detection failed
ipmi_si: Unable to find any System Interface(s)
input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
ACPI: Power Button [PWRF]
ACPI: acpi_idle registered with cpuidle
ACPI Exception: AE_NOT_FOUND, No or invalid critical threshold (20090903/thermal-386)
GHES: HEST is not enabled!
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Non-volatile memory driver v1.3
Linux agpgart interface v0.103
crash memory driver: version 1.1
Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input1
Fixed MDIO Bus: probed
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
uhci_hcd: USB Universal Host Controller Interface driver
PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
rtc_cmos 00:01: RTC can wake from S4
rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one day, 114 bytes nvram
cpuidle: using governor ladder
cpuidle: using governor menu
EFI Variables Facility v0.08 2004-May-17
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input2
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
GRE over IPv4 demultiplexor driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
Using IPI No-Shortcut mode
registered taskstats version 1
rtc_cmos 00:01: setting system clock to 2013-11-20 09:10:01 UTC (1384938601)
Initalizing network drop monitor service
Freeing unused kernel memory: 524k freed
Write protecting the kernel text: 4508k
Write protecting the kernel read-only data: 1980k
dracut: dracut-004-335.el6
dracut: rd_NO_LUKS: removing cryptoluks activation
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.24.6-ioctl (2013-01-15) initialised: dm-devel@redhat.com
udev: starting version 147
psmouse serio1: ID: 10 00 64
dracut: Starting plymouth daemon
dracut: rd_NO_DM: removing DM RAID activation
dracut: rd_NO_MD: removing MD RAID activation
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
virtio-pci 0000:00:03.0: PCI INT A -> Link[LNKC] -> GSI 11 (level, high) -> IRQ 11
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
virtio-pci 0000:00:04.0: PCI INT A -> Link[LNKD] -> GSI 10 (level, high) -> IRQ 10
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
virtio-pci 0000:00:05.0: PCI INT A -> Link[LNKA] -> GSI 10 (level, high) -> IRQ 10
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
virtio-pci 0000:00:06.0: PCI INT A -> Link[LNKB] -> GSI 11 (level, high) -> IRQ 11
ata_piix 0000:00:01.1: version 2.13
ata_piix 0000:00:01.1: setting latency timer to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc100 irq 14
ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc108 irq 15
ata1.01: NODEV after polling detection
ata1.00: ATAPI: QEMU DVD-ROM, 1.5.3, max UDMA/100
ata1.00: configured for MWDMA2
scsi 0:0:0:0: CD-ROM            QEMU     QEMU DVD-ROM     1.5. PQ: 0 ANSI: 5
input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input3
  alloc irq_desc for 24 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:03.0: irq 24 for MSI/MSI-X
  alloc irq_desc for 25 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:03.0: irq 25 for MSI/MSI-X
 vda: vda1 vda2
  alloc irq_desc for 26 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:05.0: irq 26 for MSI/MSI-X
  alloc irq_desc for 27 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:05.0: irq 27 for MSI/MSI-X
  alloc irq_desc for 28 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:05.0: irq 28 for MSI/MSI-X
  alloc irq_desc for 29 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:05.0: irq 29 for MSI/MSI-X
scsi2 : Virtio SCSI HBA
scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 4x/4x cd/rw xa/form2 tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
sd 2:0:0:0: [sda] 62914560 512-byte logical blocks: (32.2 GB/30.0 GiB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 63 00 00 08
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2
sd 2:0:0:0: [sda] Attached SCSI disk
dracut: Scanning devices sda2 vda2  for LVM logical volumes vg_unused/lv_swap vg_unused/lv_root 
dracut: Found duplicate PV KR0iAw7ZIxbzalquR0vjeyAEWGK3uRGh: using /dev/vda2 not /dev/sda2
dracut: inactive '/dev/vg_unused/lv_root' [26.51 GiB] inherit
dracut: inactive '/dev/vg_unused/lv_swap' [3.00 GiB] inherit
dracut: Found duplicate PV KR0iAw7ZIxbzalquR0vjeyAEWGK3uRGh: using /dev/vda2 not /dev/sda2
EXT4-fs (dm-0): mounted filesystem with ordered data mode. Opts: 
dracut: Mounted root filesystem /dev/mapper/vg_unused-lv_root
dracut: Loading SELinux policy
type=1404 audit(1384938603.458:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
SELinux: 2048 avtab hash slots, 277800 rules.
SELinux: 2048 avtab hash slots, 277800 rules.
SELinux:  9 users, 12 roles, 3917 types, 217 bools, 1 sens, 1024 cats
SELinux:  81 classes, 277800 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext4), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev devtmpfs, type devtmpfs), uses transition SIDs
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
type=1403 audit(1384938604.020:3): policy loaded auid=4294967295 ses=4294967295
dracut: 
dracut: Switching root
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
udev: starting version 147
piix4_smbus 0000:00:01.3: SMBus Host Controller at 0xb100, revision 0
  alloc irq_desc for 30 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:06.0: irq 30 for MSI/MSI-X
  alloc irq_desc for 31 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:06.0: irq 31 for MSI/MSI-X
  alloc irq_desc for 32 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:06.0: irq 32 for MSI/MSI-X
sr 0:0:0:0: Attached scsi generic sg0 type 5
sd 2:0:0:0: Attached scsi generic sg1 type 0
platform microcode: firmware: requesting amd-ucode/microcode_amd.bin
microcode: CPU0: AMD CPU family 0x6 not supported
microcode: CPU1: AMD CPU family 0x6 not supported
microcode: CPU2: AMD CPU family 0x6 not supported
microcode: CPU3: AMD CPU family 0x6 not supported
Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: 
SELinux: initialized (dev sda1, type ext4), uses xattr
Adding 3145720k swap on /dev/mapper/vg_unused-lv_swap.  Priority:-1 extents:1 across:3145720k 
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ip6_tables: (C) 2000-2006 Netfilter Core Team
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
ip_tables: (C) 2000-2006 Netfilter Core Team
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
8021q: adding VLAN 0 to HW filter on device eth0
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
eth0: no IPv6 routers present

Expected results:
After block mirror, guest can reboot/shutdown/poweroff as normal.

Additional info:
Most of commands inside guest can works well(such as: ping/ls/dmesg/fdisk/df can works well). 
Quit qemu-kvm and boot with this new disk image(mirror disk image) again, guest can works well. Can do reboot/shutdown/poweroff as normal.
Comment 2 Paolo Bonzini 2013-11-22 09:42:53 EST
Does it work with normal file-based images?  If not, does it work with RHEL6?

Marking as blocker? in case it is a RHEL6->RHEL7 regression.
Comment 3 Xu Han 2013-11-26 02:23:32 EST
Hi Paolo,

Jun Li took one week PTO, so, I will handle this bug temporary.

I have not reproduced this bug so far. And nor hit it with normal file-based images on rhel7 or rhel6 host.

Thanks,
xuhan
Comment 4 Paolo Bonzini 2014-02-21 10:01:10 EST
Can it still be reproduced?  (Both with file image or with libiscsi?)
Comment 6 Jun Li 2014-02-24 05:21:02 EST
add the components version in comment 5.
qemu-kvm version:
qemu-kvm-rhev-1.5.3-47.el7.x86_64
host kernel version:
3.10.0-86.el7.x86_64
Comment 7 Paolo Bonzini 2014-02-24 05:44:50 EST
Closing per comment 5.

Note You need to log in before you can comment on or make changes to this bug.